task annovar {

	File tnscope_vcf_file
	File tnseq_vcf_file
	File database
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${tnscope_vcf_file} ${database} -buildver hg19 -out ${sample}_tnscope -remove -protocol refGene,cytoBand,genomicSuperDups,snp138,ljb26_all,cosmic78,clinvar_20170130,popfreq_all_20150413,intervar_20170202 -operation g,r,r,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
		/installations/annovar/table_annovar.pl ${tnseq_vcf_file} ${database} -buildver hg19 -out ${sample}_tnseq -remove -protocol refGene,cytoBand,genomicSuperDups,snp138,ljb26_all,cosmic78,clinvar_20170130,popfreq_all_20150413,intervar_20170202 -operation g,r,r,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File avinput_tnscope = "${sample}_tnscope.avinput"
		File multianno_tnscope_txt = "${sample}_tnscope.hg19_multianno.txt"
		File multianno_tnscope_vcf = "${sample}_tnscope.hg19_multianno.vcf"
		File avinput_tnseq = "${sample}_tnseq.avinput"
		File multianno_tnseq_txt = "${sample}_tnseq.hg19_multianno.txt"
		File multianno_tnseq_vcf = "${sample}_tnseq.hg19_multianno.vcf"
	}
}